Recommended update for dracut

SUSE Recommended Update: Recommended update for dracut
Announcement ID: SUSE-RU-2019:0810-1
Rating: moderate
References: #1127891
Affected Products:
  • SUSE Linux Enterprise Server 12-SP4
  • SUSE Linux Enterprise Desktop 12-SP4

An update that has one recommended fix can now be installed.

Description:

This update for dracut fixes the following issues:

  • Check SUSE kernel module dependencies recursively (bsc#1127891)
  • Avoid "Failed to chown ... Operation not permitted" when run from non-root, by not copying xattrs. (osc#1092178)
  • Handle non-versioned dependency in purge-kernels.

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Server 12-SP4:
    zypper in -t patch SUSE-SLE-SERVER-12-SP4-2019-810=1
  • SUSE Linux Enterprise Desktop 12-SP4:
    zypper in -t patch SUSE-SLE-DESKTOP-12-SP4-2019-810=1

Package List:

  • SUSE Linux Enterprise Server 12-SP4 (aarch64 ppc64le s390x x86_64):
    • dracut-044.2-10.12.1
    • dracut-debuginfo-044.2-10.12.1
    • dracut-debugsource-044.2-10.12.1
    • dracut-fips-044.2-10.12.1
  • SUSE Linux Enterprise Desktop 12-SP4 (x86_64):
    • dracut-044.2-10.12.1
    • dracut-debuginfo-044.2-10.12.1
    • dracut-debugsource-044.2-10.12.1

References: